Bug 224760 - Bookmark symbol cannot be removed
Bookmark symbol cannot be removed
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Actions/Menu/Toolbar
7.3
PC Windows 7
: P2 (vote)
: 7.3
Assigned To: Miloslav Metelka
issues@editor
: 73_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-11 14:16 UTC by Jiri Prox
Modified: 2013-01-23 09:22 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Prox 2013-01-11 14:16:54 UTC
The bookmark symbol stays in editor when the bookmark is removed. Only restarting IDE helps.

This should be fixed in 7.3 since it's very visible issue -> P2


Product Version: NetBeans IDE 7.3 RC1 (Build 201301102100)
Java: 1.7.0_10; Java HotSpot(TM) 64-Bit Server VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_10-b18
System: Windows 7 version 6.1 running on amd64; Cp1250; en_US (nb)
User directory: C:\Users\jprox\AppData\Roaming\NetBeans\7.3rc1
Cache directory: C:\Users\jprox\AppData\Local\NetBeans\Cache\7.3rc1
Comment 1 Miloslav Metelka 2013-01-16 13:35:34 UTC
Strange, the things work fine in dev builds. All the bookmark-related changesets are propagated into RC1 so the problem must be some other code that is present in trunk and not in RC1 that probably influences this.
Comment 2 Miloslav Metelka 2013-01-16 16:10:37 UTC
Unfortunately I've made (a stupid) mistake putting a statement into assert command :-( All (copied) occurrences should now be fixed:
http://hg.netbeans.org/jet-main/rev/089697ee102a

Asking QE for review (you should run the build with assertions disabled i.e. "-J-da" to verify that the bug no longer happens).
Comment 3 Quality Engineering 2013-01-17 02:49:23 UTC
Integrated into 'main-golden', will be available in build *201301170001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/089697ee102a
User: Miloslav Metelka <mmetelka@netbeans.org>
Log: #224760 - Bookmark symbol cannot be removed.
Comment 4 Jiri Prox 2013-01-17 12:02:02 UTC
verified in trunk
Comment 5 Tomas Zezula 2013-01-21 10:18:30 UTC
The fix is OK.
Comment 6 Miloslav Metelka 2013-01-22 15:28:26 UTC
In release73:
089697ee102a transplanted to fd2eebeb8862
Comment 7 Quality Engineering 2013-01-23 00:02:59 UTC
Integrated into 'releases', will be available in build *201301222100* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/fd2eebeb8862
User: Miloslav Metelka <mmetelka@netbeans.org>
Log: #224760 - Bookmark symbol cannot be removed.
(transplanted from 089697ee102a0c4adbe3bf78696ff42fd0477de7)
Comment 8 Jiri Prox 2013-01-23 09:22:29 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo